library xfxbase;

import 'dart:async';
import 'dart:io';
import 'dart:isolate';
import 'dart:typed_data';
import 'package:collection/collection.dart';
import 'package:flutter/material.dart';
import 'package:observable/observable.dart' as Observable;
import 'package:provider/provider.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:xcommonwidgets/xcommonwidgets.dart';
import 'package:xfxbase/XBL/XAzureRest.dart';
import 'package:xfxbase/_XFX/_XFx_Elenco.dart';
import 'package:connectivity_plus/connectivity_plus.dart';
import 'package:xtoolspackage/XLibStorage.dart';
import 'package:xtoolspackage/xtoolspackage.dart';
import 'package:package_info_plus/package_info_plus.dart';
part 'XAppData_Base.dart';
part 'XApp.dart';
part 'XfxMenu.dart';
part 'XArea.dart';
part 'XMainPage_Base.dart';

get textStyleDescr => XStyles.xStyTextForSubDescr();
get textStyleLabel => XStyles.xStyTextForSubLabel();
late XAzureStorage azureStorage;
late PackageInfo? packageInfo;
